# Uses of Interface
org.opensaml.xmlsec.signature.Transform

Packages that use Transform
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of Transform in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return types with arguments of type Transform
Modifier and Type
Method
Description
`List<Transform>`
Transforms.`getTransforms()`
Get the list of Transform child elements.

## Uses of Transform in org.opensaml.xmlsec.encryption.impl

Fields in org.opensaml.xmlsec.encryption.impl with type parameters of type Transform
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Transform>`
TransformsImpl.`transforms`
Transform child elements.
Methods in org.opensaml.xmlsec.encryption.impl that return types with arguments of type Transform
Modifier and Type
Method
Description
`List<Transform>`
TransformsImpl.`getTransforms()`
Get the list of Transform child elements.

## Uses of Transform in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type Transform
Modifier and Type
Method
Description
`List<Transform>`
Transforms.`getTransforms()`
Get the list of Transform child elements.

## Uses of Transform in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement Transform
Modifier and Type
Class
Description
`class`
`TransformImpl`
Concrete implementation of `Transform`.
Fields in org.opensaml.xmlsec.signature.impl with type parameters of type Transform
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Transform>`
TransformsImpl.`transforms`
Transform children.
Methods in org.opensaml.xmlsec.signature.impl that return Transform
Modifier and Type
Method
Description
`Transform`
TransformBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`Transform`
TransformBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type Transform
Modifier and Type
Method
Description
`List<Transform>`
TransformsImpl.`getTransforms()`
Get the list of Transform child elements.